CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ConfigSettingsUI Class Reference

Class supplying a standard user interface for viewing and setting configuration parameters. More...

Inheritance diagram for ConfigSettingsUI:
[legend]
Collaboration diagram for ConfigSettingsUI:
[legend]

## Public Member Functions
| DisplaySettingsTable ($TableId=NULL, $TableStyle=NULL)
| Display HTML table with settings parameters. More...
| GetNewSettingsFromForm ()
| Retrieve values set by form. More...
Public Member Functions inherited from FormUI
| DisplayFormTable ($TableId=NULL, $TableStyle=NULL, $TableCssClass=NULL)
| Display HTML table for form. More...
| HandleDeletes ()
| Handle image deletion, removing deleted images from text fields where they may have been inserted. More...
Public Member Functions inherited from FormUI_Base
| __construct ($FieldParams, $FieldValues=array(), $UniqueKey=NULL)
| Class constructor. More...
| DisplayFormTable ($TableId=NULL, $TableStyle=NULL)
| Display HTML table with settings parameters. More...
| ValidateFieldInput ()
| Validate field values on submitted form. More...
| AddValidationParameters ()
| Add values to be passed to input validation functions, in addition to field name and value. More...
| GetNewValuesFromForm ()
| Retrieve values set by form. More...
| GetFieldValue ($FieldName)
| Get value for form field. More...
| HandleUploads ()
| Handle image and file uploads. More...
| HandleDeletes ()
| Handle image and file deletions. More...
| SetEventToSignalOnChange ($EventName, $EventParams=array())
| Set event to signal when retrieving values from form when settings have changed. More...
| ValidateEmail ($FieldName, $FieldValues)
| Validate value as valid-appearing email address. More...
| ValidateUrl ($FieldName, $FieldValues)
| Validate value as valid-appearing URL. More...
| ValidateHostName ($FieldName, $FieldValues)
| Validate value as valid host name (i.e. More...

## Additional Inherited Members
Static Public Member Functions inherited from FormUI
static | DisplayErrorBlock ()
| Display HTML block with error messages (if any). More...
Static Public Member Functions inherited from FormUI_Base
static | LogError ($Msg, $Field=NULL)
| Log error message for later display. More...
static | GetLoggedErrors ()
| Get logged errors. More...
static | ErrorsLogged ($Field=FALSE)
| Report whether errors have been logged. More...
static | ClearLoggedErrors ($Field=FALSE)
| Clear logged errors. More...
static | DidValueChange ($OldValue, $NewValue)
| Determine if a new form field value is different from an old one. More...
static | LoadValue ($Type, $Data)
| Load value of requested type from supplied data. More...
Public Attributes inherited from FormUI
const | OPTION_RADIO_BUTTON_THRESHOLD = 2
| FTYPE_OPTION fields with this many or fewer options will display as radio buttons by default. More...
Public Attributes inherited from FormUI_Base
const | FTYPE_FILE = "File"
| Supported field types. More...
const | FTYPE_FLAG = "Flag"
const | FTYPE_IMAGE = "Image"
const | FTYPE_METADATAFIELD = "MetadataField"
const | FTYPE_NUMBER = "Number"
const | FTYPE_OPTION = "Option"
const | FTYPE_PARAGRAPH = "Paragraph"
const | FTYPE_PASSWORD = "Password"
const | FTYPE_PRIVILEGES = "Privileges"
const | FTYPE_SEARCHPARAMS = "Search Parameters"
const | FTYPE_TEXT = "Text"
const | FTYPE_URL = "URL"
const | FTYPE_USER = "User"
const | FTYPE_QUICKSEARCH = "Quick Search"
const | FTYPE_HEADING = "Heading"
| Supported field pseudo-types. More...
const | NO_VALUE_FOR_FIELD = "NO VALUE"
| Marker used to indicate currently no value for field. More...
Protected Member Functions inherited from FormUI
| DisplayFormField ($Name, $Value, $Params)
| Display HTML form field for specified field. More...
| DisplayImageField ($FieldName, $Value, $Params)
| Display image form field for specified field. More...
| DisplayFileField ($FieldName, $Value, $Params)
| Display file form field for specified field. More...
| PrintFieldHidingJavascript ()
| Print any JavaScript required to support toggling display of fields or sections. More...
Protected Member Functions inherited from FormUI_Base
| DisplayFormField ($Name, $Value, $Params)
| Display HTML form field for specified field. More...
| GetFormFieldName ($FieldName, $IncludePrefix=TRUE)
| Get HTML form field name for specified field. More...
| GetHiddenFieldsHtml ()
| Get HTML for hidden form fields associated with form processing. More...
| ConvertItemIdsToNames ($MField, $ItemIds)
| Take an array of ItemIds and convert it to [ ItemId => ItemName ]. More...
Protected Attributes inherited from FormUI
| $UsingWysiwygEditor = FALSE
Protected Attributes inherited from FormUI_Base
| $DeletedFiles = array()
| $DeletedImages = array()
| $ExtraValidationParams = array()
| $ExtraValues = array()
| $FieldParams
| $FieldValues
| $HiddenFields = array()
| $SettingChangeEventName = NULL
| $SettingChangeEventParams = array()
Static Protected Attributes inherited from FormUI_Base
static | $ErrorMessages = array()

## Detailed Description

Class supplying a standard user interface for viewing and setting configuration parameters.

Definition at line 14 of file ConfigSettingsUI.php.

## Member Function Documentation

ConfigSettingsUI::DisplaySettingsTable | ( |  | $TableId = `NULL`,
|  |  | $TableStyle = `NULL`
| ) |  |

Display HTML table with settings parameters.

Parameters

  string | $TableId | CSS ID for table element. (OPTIONAL)
  string | $TableStyle | CSS styles for table element. (OPTIONAL)

Definition at line 24 of file ConfigSettingsUI.php.

References FormUI\DisplayFormTable().

ConfigSettingsUI::GetNewSettingsFromForm | ( |  | ) |

Retrieve values set by form.

Returns
  array Array of configuration settings, with setting names for the index, and new setting values for the values.

Definition at line 34 of file ConfigSettingsUI.php.

References FormUI_Base\GetNewValuesFromForm().

The documentation for this class was generated from the following file:

- interface/default/objects/ConfigSettingsUI.php